# _ValueParser
<span class="source-link">[[Source]](src/cli/command_parser.md#L344)</span>
```pony
primitive val _ValueParser
```

## Constructors

### create
<span class="source-link">[[Source]](src/cli/command_parser.md#L344)</span>


```pony
new val create()
: _ValueParser val^
```

#### Returns

* [_ValueParser](cli-_ValueParser) val^

---

## Public Functions

### parse
<span class="source-link">[[Source]](src/cli/command_parser.md#L345)</span>


```pony
fun box parse(
  typ: _ValueType val,
  arg: String val)
: (Bool val | String val | I64 val | 
    U64 val | F64 val | _StringSeq val | 
    SyntaxError val)
```
#### Parameters

*   typ: [_ValueType](cli-_ValueType) val
*   arg: [String](builtin-String) val

#### Returns

* ([Bool](builtin-Bool) val | [String](builtin-String) val | [I64](builtin-I64) val | 
    [U64](builtin-U64) val | [F64](builtin-F64) val | [_StringSeq](cli-_StringSeq) val | 
    [SyntaxError](cli-SyntaxError) val)

---

### eq
<span class="source-link">[[Source]](src/cli/command_parser.md#L345)</span>


```pony
fun box eq(
  that: _ValueParser val)
: Bool val
```
#### Parameters

*   that: [_ValueParser](cli-_ValueParser) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/cli/command_parser.md#L345)</span>


```pony
fun box ne(
  that: _ValueParser val)
: Bool val
```
#### Parameters

*   that: [_ValueParser](cli-_ValueParser) val

#### Returns

* [Bool](builtin-Bool) val

---

